Skip to main content
POST
/
update-password
Update Password
curl --request POST \
  --url https://api.example.com/update-password \
  --header 'Content-Type: application/x-www-form-urlencoded' \
  --data 'current_password=<string>' \
  --data 'new_password=<string>' \
  --data 'confirm_password=<string>'
"<string>"

Update Password

Endpoint for updating user password.

Request Body

FieldTypeRequiredDescription
current_passwordstringYesCurrent password
new_passwordstringYesNew password
confirm_passwordstringYesConfirm new password

Responses

StatusDescriptionContent Type
200Password updatedtext/html
422Validation Errorapplication/json

Body

application/x-www-form-urlencoded
current_password
string
required
new_password
string
required
confirm_password
string
required

Response

Successful Response

The response is of type string.